:root {
    --main-pad: 180px;
    --main-pad-bot: 185px;
    --main-mar: 96px;
    --gender-clr-men: #1F1F1F;
    --gender-clr-women: #FFCACA;
    --clr-white: #fff;
    --clr-mainblue: #1551E5;
    --clr-darkblue: #26497B;
    --clr-grey: #333;
    --clr-darkgrey: #292929;
    --clr-black: #000;
}

.yk--main {
    position: relative;
    overflow: hidden;
    font-family: "SMSans", sans-serif;
    font-feature-settings: "ss01" on, "clig" off, "liga" off;
    background: linear-gradient(147.83deg, #34A7DE 14.83%, #C3E6FC 52.88%);
    padding-block: 0 var(--main-pad-bot);
}
.yk--main * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
.yk--background {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    /* object-fit: cover; */
}
.yk--main_wrap {
    position: relative;
    z-index: 1;
    max-width: 1920px;
    margin: auto;
    padding-inline: var(--main-pad);
    display: flex;
    flex-direction: column;
    gap: var(--main-mar);
}
.yk--main a {
    text-decoration: none;
}
.yk--main button {
    border: none;
    outline: none;
    cursor: pointer;
    background-color: initial;

    &.--btn-white {
        background-color: var(--clr-white);
        color: var(--clr-grey);
    }
}
.yk--main .swiper-navigation-icon,
.yk--main .swiper-button-next::after,
.yk--main .swiper-button-prev::after {
    display: none;
}
.yk--main .swiper-pagination {
    position: relative;
    bottom: 0;
    top: 0;
    display: flex;
    justify-content: center;
    gap: 12px;
}
.yk--main .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    opacity: 1;
    transition: .3s;
    background-color: var(--clr-white);
    border: 1px solid var(--clr-mainblue);
}
.yk--main .swiper-pagination-bullet-active {
    background-color: var(--clr-mainblue);
}

.yk--main  .swiper-horizontal>.swiper-pagination-bullets,.swiper-pagination-horizontal.swiper-pagination-bullets {
    & .swiper-pagination-bullet {
        margin: 0;
    }
}
.yk--h2 {
    font-weight: 900;
    font-size: 79px;
    line-height: 1;
    letter-spacing: -2.94px;
    text-transform: uppercase;
    color: var(--clr-darkblue);
    display: flex;
    justify-content: center;
    align-items: center;
}
.yk--btn {
    padding: 16px 32px;
    background-color: var(--clr-mainblue);
    border-radius: 60px;
    font-weight: 500;
    font-size: 14px;
    letter-spacing: 1px;
    text-align: center;
    text-transform: uppercase;
    color: var(--clr-white);
    transition: .3s;
}
.yk--lineBrandSM {
    margin-left: calc(var(--main-pad) * -1);
    width: calc(100% + var(--main-pad));
    display: none;
}
.--txt-lg-off {
    font-feature-settings: "clig" off, "liga" off;
}

/* HERO start */
.yk--hero {
    padding-bottom: 56px;
}
.yk--hero_banner {
    position: relative;
    overflow: hidden;
    height: 820px;
    padding: 38px 214px 0;
    border-radius: 0 0 66px 66px;
}
.yk--hero_img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.yk--nav {
    border: 1.6px solid var(--clr-white);
    border-radius: calc(56px + 13px + 1.6px);
    padding: 13px;
    display: inline-block;

    & .yk--nav_wrap {
        position: relative;
        display: inline-flex;
        border-radius: 56px;
        overflow: hidden;
        background-color: var(--clr-white);
    }

    & button {
        position: relative;
        z-index: 2;
        padding: 20px 86px;
        font-weight: 500;
        font-size: 16px;
        letter-spacing: 0px;
        text-align: center;
        color: var(--gender-clr-men);
        transition: .3s;

        &.active {
            pointer-events: none;
        }
        &#men.active {
            color: var(--clr-white);
        }
    }

    & span {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        border-radius: 56px;
        z-index: 1;
        transition: .3s cubic-bezier(.7, -.35, .3, 1);
    }
}
.yk--hero_text {
    position: relative;

    & svg {
        display: block;
        width: 789px;
        margin-top: 42px;
        overflow: visible;

        & path {
            opacity: 0;
            will-change: transform;
            transform: translateY(-20px);
        }
        & path.--show {
            animation: waveSVG .5s ease-in-out forwards;
        }
    }
}
.yk--hero_plank {
    display: inline-block;
    padding: 7px 26px;
    border-radius: 99px;
    background-color: var(--clr-white);
    font-weight: 700;
    font-size: 38px;
    line-height: 1;
    letter-spacing: -1.5px;
    text-transform: uppercase;
    color: var(--clr-darkblue);
    margin-top: 15px;
    transform: translateX(-20px);
    opacity: 0;

    &.--show {
        animation: slidePlank .5s ease-in-out .3s forwards;
    }
}
@keyframes waveSVG {
    0% {
        opacity: 0;
        transform: translateY(-20px);
    }
    33% {
        opacity: 0.5;
        transform: translateY(20px);
    }
    66% {
        opacity: 1;
        transform: translateY(-10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes slidePlank {
    0% {
        opacity: 0;
        transform: translateX(-20px);
    }
    33% {
        opacity: 0.5;
        transform: translateX(20px);
    }
    66% {
        opacity: 1;
        transform: translateX(-10px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}
/* HERO end */

/* BRAND start */
.yk--brand {position: relative;}
.yk--brand .swiper {margin-inline: 16px;}
.yk--brand .swiper-wrapper {height: auto;}
.yk--brand .swiper-slide {
    height: 50px;
    width: auto;
}
.yk--brand .swiper-slide img {
    display: block;
    height: 100%;
}
.yk--brand .swiper-button-next,
.yk--brand .swiper-button-prev {
    top: 50%;
    translate: 0 -50%;
    width: 16px;
    height: auto;
    aspect-ratio: 1;
    margin: 0;
}
.yk--brand .swiper-button-next {
    right: 0;
}
.yk--brand .swiper-button-prev {
    left: 0;
}
/* BRAND end */

/* SNIKER start */
.yk--sniker {position: relative;}
.yk--sniker_cloud {
    position: absolute;
    z-index: 2;
    inset: -8% auto auto -100%;
    width: 150%;
    pointer-events: none;
}
.yk--sniker .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 34vw;
}
.yk--sniker .swiper-slide .yk--sniker_front {
    position: relative;
    width: 52%;
    z-index: 1;
    transform: rotate(-30deg) translate(33%, 27%);
    opacity: 0;
    transition: 
        transform .5s cubic-bezier(.22,.61,.36,1),
        opacity .35s ease;
}
.yk--sniker .swiper-slide .yk--sniker_back {
    position: absolute;
    width: 40%;
    transform: rotate(28deg) translate(-33%, 12%);
    opacity: 0;
    transition: 
        transform .5s cubic-bezier(.22,.61,.36,1),
        opacity .35s ease;
}
.yk--sniker .swiper-slide.--front .yk--sniker_front {
    opacity: 1;
    transform: rotate(-30deg) translate(25%, 27%);
}
.yk--sniker .swiper-slide.--back .yk--sniker_back {
    opacity: 1;
    transform: rotate(28deg) translate(-28%, 12%);
}
.yk--sniker .swiper-pagination {
    margin-top: 35px;
}
.yk--sniker_swiper_buttons {
    margin-left: 61%;
    display: inline-flex;
    align-items: center;
    gap: 10px;
}
.yk--sniker .swiper-button-prev, 
.yk--sniker .swiper-button-next {
    position: relative;
    inset: 0;
    margin: 0;
    border-radius: 50%;
    background-color: var(--clr-white);

    & svg {
        width: 70%;
        fill: var(--clr-mainblue);
    }
}
.yk--sniker .swiper-button-prev {
    width: 30px;
    height: auto;
    aspect-ratio: 1;

    & svg {
        rotate: 180deg;
    }
}
.yk--sniker .swiper-button-next {
    width: 44px;
    height: auto;
    aspect-ratio: 1;
}
.yk--sniker_links {
    margin-top: 36px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;

    & a {
        background-color: var(--clr-mainblue);
        color: var(--clr-white);
    }
}
/* SNIKER end */

/* PROMOTION start */
.yk--promotion_slide {
    border-radius: 66px;
    height: 390px;
    padding-inline: 48px;
    display: flex;
    align-items: center;
    overflow: hidden;

    &.--center {
        align-items: end;
        justify-content: center;
        padding-block: 32px;
    }

    &:after {
        content: '';
        position: absolute;
        left: -75%;
        top: 0;
        height: 100%;
        width: 40%;
        background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .2) 50%, rgba(255, 255, 255, 0) 100%);
        transform: skewX(-25deg);
    }
}
.yk--promotion_img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .3s linear;
}
.yk--promotion_text {
    position: relative;
    max-width: 726px;
    color: var(--clr-white);

    & img {
        display: block;
        margin-bottom: 20px;

        &[src=''] {display: none;}
    }

    & h2 {
        font-weight: 500;
        font-size: 52px;
        line-height: 60px;
        letter-spacing: 1.8px;

        &:empty {display: none;}
    }

    & p {
        font-weight: 400;
        font-size: 16px;
        line-height: 24px;
        letter-spacing: 0px;
        margin-top: 8px;

        &:empty {display: none;}
    }

    & button {
        display: inline-block;
        margin-top: 28px;
        padding: 16px 32px;
        font-weight: 500;
        font-size: 14px;
        letter-spacing: 1px;
        text-align: center;
        text-transform: uppercase;
        transition: .3s;

        &:empty {display: none;}
    }
}
.yk--promotion .swiper-pagination {
    margin-top: 20px;
}
@keyframes shine {
    100% {
        left: 125%;
    }
}
/* PROMOTION end */

/* NEW start */
.yk--new {
    position: relative;
    margin-inline: calc(var(--main-pad) * -1);
}
.yk--new .yk--h2 {
    position: relative;
    z-index: 1;

    & span {
        rotate: -4deg;
    }
}
.yk--new_city {
    position: absolute;
    inset: 0 0 auto;
    width: 100%;
    height: auto;
}
.yk--new_wrap {
    position: relative;
    width: 65%;
    margin-inline: auto;

    & .yk--new_island {
        position: relative;
        display: block;
        width: 100%;
        height: auto;
    }
}
.yk--new_swiper {
    position: absolute;
    inset: 0 0 auto;

    & .swiper-wrapper {
        height: min(768px, 40vw);
    }

    & .yk--new_slide {
        display: flex;
        justify-content: center;
        align-items: center;
        will-change: transform;
        backface-visibility: hidden;
        transform: translateZ(0);
        
        & img {
            display: block;
            width: 115%;
            height: auto;
            margin-inline: auto;
            transform: rotate(-42deg) translateY(-15%);
            transition: .3s;
            opacity: 0;
        }

        &::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            width: 60%;
            aspect-ratio: 64/5;
            background: linear-gradient(269deg, rgba(79, 105, 110, 0.275) 40%, rgba(79, 105, 110, 0) 120%);
            border-radius: 50%;
            filter: blur(10px);
            transition: .7s;
            opacity: 0;
        }
    }

    & .swiper-slide.swiper-slide-prev,
    & .swiper-slide.swiper-slide-next,
    & .swiper-slide.swiper-slide-active {
        & img {
            opacity: 1;
        }
        &::after {
            opacity: 1;
        }
    }
    & .swiper-slide.swiper-slide-active::after {
        bottom: 6%;
        width: 105%;
    }

    & .swiper-pagination {
        position: absolute;
        top: auto;
    }

    & .yk--new_swiper_buttons {
        position: absolute;
        bottom: 10%;
        left: 51%;
        display: inline-flex;
        align-items: center;
        gap: 10px;

        & .swiper-button-prev, 
        & .swiper-button-next {
            position: relative;
            inset: 0;
            margin: 0;
            border-radius: 50%;
            background-color: var(--clr-white);
        
            & svg {
                width: 70%;
                fill: var(--clr-mainblue);
            }
        }
        & .swiper-button-prev {
            width: 30px;
            height: auto;
            aspect-ratio: 1;
        
            & svg {
                rotate: 180deg;
            }
        }
        & .swiper-button-next {
            width: 44px;
            height: auto;
            aspect-ratio: 1;
        }
    }
}
.yk--new_link {
    text-align: center;
    margin-top: 36px;
    & a {
        display: inline-block;
    }
}
.yk--new_line {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 40%;
}
/* NEW end */

/* COLLECTION start */
.yk--collection .yk--h2 {
    flex-direction: column;
    
    & span:first-child {
        rotate: 4deg;
        translate: -30% 0;
    }
    & span:last-child {
        rotate: -4deg;
        translate: 30% 0;
    }
}
.yk--collection_wrap {
    position: relative;
    margin-top: 30px;
    display: grid;
    grid-template-columns: 85% 11%;
    justify-content: space-between;
    align-items: stretch;

    & img {
        display: block;
        height: 100%;
        max-width: 100%;
        object-fit: cover;
    }
}
.yk--collection_main {
    position: relative;
    overflow: hidden;
    max-width: 100%;
    height: 100%;
    border-radius: 66px;
    aspect-ratio: 1330 / 939;

    & button {
        position: absolute;
        bottom: 30px;
        left: 50%;
        translate: -50% 0;
        background-color: var(--clr-mainblue);
        color: var(--clr-white);
    }
}
.yk--collection_nav {
    list-style: none;
    display: grid;
    grid-template: auto / 1fr;
    gap: 14px;
    padding: 12px;
    border-radius: calc(24px + 12px);
    background: linear-gradient(6deg, rgba(125, 125, 125, 0.2) -3%, rgba(40, 40, 40, 0.2) 96%);

    & li {
        overflow: hidden;
        border-radius: 24px;
        cursor: pointer;

        &.active {
            box-shadow: 0 0 0 4px var(--clr-white);
            pointer-events: none;
        }

        & img {
            height: 100%;
            object-position: top center;
        }
    }
}
/* COLLECTION end */

/* LOOK start */
.yk--look_wrap {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 12px;
}
.yk--look_link {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 15px;

    & .yk--look_img {
        position: relative;
        border-radius: 30px;
        border: 1px solid var(--clr-white);
        overflow: hidden;
        transition: 0.3s linear;

        & .yk--look_fon {
            position: absolute;
            inset: 0;
            width: 100%;
            height: 100%;
            background: linear-gradient(6deg, rgba(254, 254, 254, 0.2) -3%, rgba(255, 255, 255, 0.2) 96%);
            backdrop-filter: blur(2px);
        }

        & img {
            position: relative;
            z-index: 1;
            display: block;
            width: 100%;
            height: 100%;
            object-fit: cover;
            transition: 0.3s linear;
        }
    }

    & h4 {
        font-weight: 500;
        font-size: 20px;
        line-height: 1;
        letter-spacing: 0px;
        color: var(--clr-grey);

        &:empty {display: none;}
    }
}
.yk--look_buttons {
    margin-top: 36px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 8px;

    & a {
        background-color: var(--clr-mainblue);
        color: var(--clr-white);
    }
}
/* LOOK end */

/* NEWS start */
.yk--news_wrap {
    position: relative;
    z-index: 3;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}
.yk--news_link {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 20px;
    transition: 0.3s;

    & img {
        display: block;
        border-radius: 18px;
        width: 100%;
        aspect-ratio: 1;
        transition: 0.3s;
    }

    & h4 {
        font-weight: 500;
        font-size: 20px;
        line-height: 26px;
        letter-spacing: 0.8px;
        color: var(--clr-darkgrey);

        &:empty {display: none;}
    }
}
/* NEWS end */

/* FINANCE start */
.yk--finance {
    position: relative;
}
.yk--finance_back {
    position: absolute;
    top: -25%;
    left: -15%;
    width: 150%;
    height: auto;
    z-index: 1;
    pointer-events: none;
    will-change: transform;
    transition: transform .2s linear;
}
.yk--finance_wrap {
    display: flex;
    flex-direction: column;
    align-items: center;

    & .yk--finance_link {
        position: relative;
        width: 733px;
        z-index: 2;
        perspective: 1000px;
        transform-style: preserve-3d;

        & img {
            display: block;
            max-width: 100%;
            will-change: transform;
            transition: transform .2s linear;
        }
    }

    & .yk--finance_text {
        position: relative;
        text-align: center;
        max-width: 460px;
        z-index: 4;
        margin-top: -70px;

        & h3 {
            font-weight: 500;
            font-size: 36px;
            line-height: 1;
            letter-spacing: 0.8px;
            color: var(--clr-grey);
        }

        & p {
            font-weight: 400;
            font-size: 22px;
            line-height: 1;
            letter-spacing: 0px;
            color: var(--clr-black);
            margin-top: 13px;
        }
    }
}
.yk--finance_front {
    position: absolute;
    top: 50%;
    left: 3%;
    width: 90%;
    height: auto;
    z-index: 3;
    pointer-events: none;
    will-change: transform;
    transition: transform .2s linear;
}
/* FINANCE end */

/* VIDEO start */
.yk--video_wrap {
    position: relative;
    z-index: 3;
    overflow: hidden;
    height: 830px;
    border-radius: 66px;

    &::after {
        content: '';
        position: absolute;
        inset: 0;
        background-color: rgba(0, 0, 0, 0.6);
        z-index: 2;
        transition: .3s;
    }

    & video {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        opacity: 0;
        transition: .3s;
    }

    & img {
        position: relative;
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: 1;
        transition: .3s;
    }

    & svg {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%);
        width: 60px;
        aspect-ratio: 1;
        cursor: pointer;
        z-index: 3;
        transition: .3s;
    }

    &.--play {
        &::after,
        & img,
        & svg {
            opacity: 0;
        }
        & video {
            opacity: 1;
            z-index: 5;
        }
    }
}
.yk--video_ligal {
    margin-top: 28px;
    font-weight: 400;
    font-size: 18px;
    line-height: 1;
    letter-spacing: 0px;
    text-align: center;
    color: var(--clr-black);
}
/* VIDEO end */

/* @media query */
@media (max-width: 1919px) {
    :root {
        --main-pad: 135px;
        --main-pad-bot: 116px;
    }
    .yk--h2 {
        font-size: 64px;
        letter-spacing: -2.4px;
    }

    /* HERO */
    .yk--hero_banner {
        padding: 44px 134px 0;
        border-radius: 0 0 56px 56px;
    }
    .yk--hero_text svg{
        width: 660px;
        margin-top: 40px;
    }
    .yk--hero_plank {
        padding: 5px 22px;
        border-radius: 82px;
        font-size: 32px;
        letter-spacing: -1.28px;
        margin-top: 12px;
    }

    /* SNIKER */
    .yk--sniker .swiper-slide {height: 40vw;}

    /* PROMOTION */
    .yk--promotion_slide {
        border-radius: 46px;
    }
    .yk--promotion_text {
        max-width: 528px;

        & h2 {
            font-size: 46px;
            line-height: 56px;
            letter-spacing: 1.6px;
        }
    }

    /* NEW */
    .yk--new_wrap {
        width: 74%;
    }
    .yk--new_swiper {
    
        & .yk--new_slide {
            
            & img {
                width: 125%;
                transform: rotate(-42deg) translateY(-10%);
            }

            &::after {
                bottom: -7%;
            }
        }
    
        & .swiper-slide.swiper-slide-active::after {
            bottom: 0;
        }
    
        & .yk--new_swiper_buttons {
            bottom: 7%;
            left: 53%;
        }
    }

    /* COLLECTION */
    .yk--collection_main {
        border-radius: 50px;
        aspect-ratio: 996 / 703;
    }
    .yk--collection_nav {
        gap: 11px;
        padding: 9px;
        border-radius: calc(18px + 9px);
    
        & li {
            border-radius: 18px;
    
            &.active {
                box-shadow: 0 0 0 3px var(--clr-white);
            }
        }
    }

    /* LOOK */
    .yk--look_wrap {
        gap: 11px;
    }
    .yk--look_link {
        gap: 11px;
    
        & .yk--look_img {
            border-radius: 20px;
        }
    
        & h4 {
            font-size: 16px;
        }
    }

    /* NEWS */
    .yk--news_link {
        & img {
            border-radius: 14px;
        }
    
        & h4 {
            font-size: 15px;
            line-height: 19px;
            letter-spacing: 0.6px;
        }
    }

    /* FINANCE */
    .yk--finance_wrap {
        & .yk--finance_link {
            width: 645px;
        }
    
        & .yk--finance_text {
            margin-top: -55px;
        }
    }

    /* VIDEO */
    .yk--video_wrap {
        height: 776px;
        border-radius: 36px;
    }
}

@media (max-width: 1439px) {
    :root {
        --main-pad: 50px;
        --main-pad-bot: 77px;
        --main-mar: 72px;
    }
    .yk--h2 {
        font-size: 52px;
    }

    /* HERO */
    .yk--hero {
        padding-bottom: 33px;
    }
    .yk--hero_banner {
        height: 654px;
        padding: 44px 51px 0;
        border-radius: 0 0 42px 42px;
    }
    .yk--nav {
        border-width: 1.2px;
        border-radius: calc(41px + 10px + 1.2px);
        padding: 10px;
    
        & .yk--nav_wrap {
            border-radius: 41px;
        }
    
        & button {
            padding: 15px 63px;
        }
    
        & span {
            border-radius: 41px;
        }
    }
    .yk--hero_text svg{
        width: 499px;
        margin-top: 30px;
    }
    .yk--hero_plank {
        padding: 4px 17px;
        border-radius: 67px;
        font-size: 26px;
        letter-spacing: -1.02px;
        margin-top: 10px;
    }

    /* PROMOTION */
    .yk--promotion_slide {
        height: 296px;
        padding-inline: 32px;

        &.--center {
            align-items: end;
            padding-block: 24px;
        }
    }
    .yk--promotion_text {
        max-width: 418px;

        & img {
            margin-bottom: 16px;
        }

        & h2 {
            font-size: 34px;
            line-height: 40px;
            letter-spacing: 1.2px;
        }

        & p {
            font-size: 14px;
            line-height: 20px;
            margin-top: 4px;
        }

        & button {
            margin-top: 24px;
            padding: 14px 24px;
            font-size: 12px;
            letter-spacing: 0.5px;
        }
    }

    /* NEW */
    .yk--new_wrap {
        width: 84%;
    }
    .yk--new_swiper {

        & .swiper-wrapper {height: 53vw;}
    
        & .yk--new_slide {
            
            & img {
                width: 150%;
                transform: rotate(-42deg) translateY(-20%);
            }

            &::after {
                bottom: 5%;
            }
        }
    
        & .swiper-slide.swiper-slide-active::after {
            bottom: 10%;
        }
    
        & .yk--new_swiper_buttons {
            bottom: 7%;
            left: 53%;
        }
    }
    .yk--new_line {width: 45%;}

    /* COLLECTION */
    .yk--collection_wrap {
        grid-template-columns: 83% 15%;
    }
    .yk--collection_main {
        aspect-ratio: 766 / 703;
    }

    /* LOOK */
    .yk--look_link {
        gap: 9px;
    
        & .yk--look_img {
            border-radius: 16px;
        }
    
        & h4 {
            font-size: 12px;
        }
    }

    /* NEWS */
    .yk--news_wrap {
        gap: 4px;
    }
    .yk--news_link {
        gap: 12px;

        & img {
            border-radius: 12px;
        }
    
        & h4 {
            font-size: 12px;
            line-height: 15px;
            letter-spacing: 0.5px;
        }
    }

    /* FINANCE */
    .yk--finance_back {
        top: -35%;
    }
    .yk--finance_wrap {
        & .yk--finance_link {
            width: 390px;
        }
    
        & .yk--finance_text {
            max-width: 316px;
            margin-top: -40px;

            & h3 {
                font-size: 25px;
                letter-spacing: 0.55px;
            }
    
            & p {
                font-size: 15px;
            }
        }
    }
    .yk--finance_front {
        top: 45%;
        left: 1%;
    }

    /* VIDEO */
    .yk--video_wrap {
        height: 657px;
    }
    .yk--video_ligal {
        font-size: 15px;
    }
}

@media (max-width: 1023px) {
    :root {
        --main-pad: 25px;
        --main-pad-bot: 55px;
    }
    .yk--h2 {
        font-size: 38px;
        letter-spacing: -1.8px;
    }

    /* HERO */
    .yk--hero_banner {
        height: 579px;
        padding: 23px 22px 0;
        border-radius: 0 0 32px 32px;
    }
    .yk--nav {
        border-width: 1px;
        border-radius: calc(36px + 8px + 1px);
        padding: 8px;
    
        & .yk--nav_wrap {
            border-radius: 36px;
        }
    
        & button {
            padding: 13px 55px;
            font-size: 14px;
        }
    
        & span {
            border-radius: 36px;
        }
    }
    .yk--hero_text svg{
        width: 396px;
    }
    .yk--hero_plank {
        padding: 4px 14px;
        border-radius: 56px;
        font-size: 21px;
        letter-spacing: -0.84px;
        margin-top: 8px;
    }

    /* PROMOTION */
    .yk--promotion_slide {
        border-radius: 36px;
    }
    .yk--promotion_text {
        max-width: 320px;

        & h2 {
            font-size: 30px;
            line-height: 38px;
            letter-spacing: 1px;
        }
    }

    /* COLLECTION */
    .yk--collection_wrap {
        grid-template-columns: 85% 14%;
    }
    .yk--collection_main {
        aspect-ratio: 608 / 516;
        border-radius: 36px;

        & button {
            bottom: 20px;
        }
    }
    .yk--collection_nav {
        gap: 8px;
        padding: 9px;
        border-radius: calc(13px + 9px);
    
        & li {
            border-radius: 13px;
    
            &.active {
                box-shadow: 0 0 0 2px var(--clr-white);
            }
        }
    }

    /* LOOK */
    .yk--look_wrap {
        gap: 8px;
    }
    .yk--look_link {
        gap: 7px;
    
        & .yk--look_img {
            border-radius: 12px;
        }
    
        & h4 {
            font-size: 9px;
        }
    }

    /* NEWS */
    .yk--news_wrap {
        gap: 6px;
    }
    .yk--news_link {
        gap: 10px;

        & img {
            border-radius: 9px;
        }
    
        & h4 {
            font-size: 14px;
        }
    }

    /* FINANCE */
    .yk--finance_wrap {
    
        & .yk--finance_text {

            & p {
                font-size: 14px;
            }
        }
    }

    /* VIDEO */
    .yk--video_wrap {
        height: 584px;
    }
    .yk--video_ligal {
        font-size: 14px;
    }
}

@media (min-width: 768px) {
    .yk--main[data-gen="men"] .yk--btn:hover {
        background-color: var(--gender-clr-men);
        color: var(--clr-white);
    }
    .yk--main[data-gen="women"] .yk--btn:hover {
        background-color: var(--gender-clr-women);
        color: var(--gender-clr-men);
    }
    .yk--promotion_slide:hover {
        &:after {
            animation: shine .7s;
        }
    }
    .yk--promotion_text button:hover {
        background-color: var(--clr-mainblue);
        color: var(--clr-white);
    }
    .yk--look_link:hover {
        & .yk--look_img {
            translate: 0 -20px;
        }
        & img {
            transform: scale(1.1) rotate(5deg);
        }
    }
    .yk--news_wrap:hover>.yk--news_link:not(:hover) {
        filter: grayscale(1) blur(3px);
    }
}

@media (max-width: 767px) {
    :root {
        --main-pad: 15px;
        --main-pad-bot: 156px;
        --main-mar: 56px;
    }
    .yk--main .swiper-pagination-bullet {
        border: none;
    }

    /* BRAND */
    .yk--brand .swiper {margin-inline: 0;}
    .yk--brand .swiper-slide {height: 56px;}
    .yk--brand .swiper-button-next,
    .yk--brand .swiper-button-prev {display: none;}
}

@media (max-width: 640px) {
    .yk--h2 {
        font-size: clamp(38px, 10.1vw, 64px);
        letter-spacing: -1.4px;
    }
    .yk--btn {
        width: 100%;
        padding: 14px;
        border-radius: 50px;
        font-size: 12px;
        letter-spacing: 0.5px;
    }
    .yk--lineBrandSM {
        display: block;
    }

    /* HERO */
    .yk--hero_banner {
        height: max(505px, 134.6vw);
        padding: 17px 15px 0;
        border-radius: 0 0 60px 60px;
    }
    .yk--nav {
        border-radius: calc(34px + 8px + 1px);
        display: block;
    
        & .yk--nav_wrap {
            border-radius: 34px;
            display: flex;
        }
    
        & button {
            padding: 12px;
            flex: 1 0 auto;
        }
    
        & span {
            border-radius: 34px;
        }
    }
    .yk--hero_text svg{
        width: max(288px, 76.8%);
        margin-top: 20px;
    }
    .yk--hero_plank {
        padding: 3px 10px;
        border-radius: 42px;
        font-size: 16px;
        letter-spacing: -0.63px;
        margin-top: 7px;
    }

    /* SNIKER */
    .yk--sniker_cloud {
        inset: 7% auto auto -100%;
        width: 136%;
    }
    .yk--sniker .swiper{margin-inline: calc(var(--main-pad) * -1);}
    .yk--sniker .swiper-slide {height: 80vw;}
    .yk--sniker .swiper-slide .yk--sniker_front {
        width: 80%;
        transform: rotate(-50deg) translate(17%, 18%);
    }
    .yk--sniker .swiper-slide .yk--sniker_back {
        width: 60%;
        transform: rotate(45deg) translate(-30%, 18%);
    }
    .yk--sniker .swiper-slide.--front .yk--sniker_front {
        transform: rotate(-50deg) translate(10%, 18%);
    }
    .yk--sniker .swiper-slide.--back .yk--sniker_back {
        transform: rotate(45deg) translate(-23%, 18%);
    }
    .yk--sniker_swiper_buttons {
        margin-inline: var(--main-pad);
        display: flex;
        justify-content: end;
    }
    .yk--sniker .swiper-button-prev, 
    .yk--sniker .swiper-button-next {
        background-color: var(--clr-mainblue);

        & svg {
            fill: var(--clr-white);
        }
    }
    .yk--sniker .swiper-pagination {margin-top: 28px;}
    .yk--sniker_links {
        margin-top: 20px;
        gap: 8px;
    
        & a {
            background-color: var(--clr-white);
            border: 1px solid var(--clr-mainblue);
            color: var(--clr-mainblue);
        }
    }

    /* PROMOTION */
    .yk--promotion_slide {
        height: max(246px, 65.6vw);
        border-radius: 18px;
        padding: 16px;
        align-items: start;
    }
    .yk--promotion_text {
        max-width: 100%;

        & img {display: none;}

        & h2 {
            font-size: clamp(24px, 6.4vw, 40px);
            line-height: 1.25;
            letter-spacing: 0.8px;
        }

        & p {
            font-size: clamp(14px, 3.7vw, 24px);
            line-height: 1.43;
            margin-top: 6px;
        }

        & button {
            display: none;
        }
    }
    .yk--promotion .swiper-pagination {
        margin-top: 14px;
    }

    /* NEW */
    .yk--new_city {display: none;}
    .yk--new_wrap {
        width: 100%;
        margin-top: -55px;
    }
    .yk--new_swiper {

        & .swiper-wrapper {height: 105vw;}
    
        & .yk--new_slide {
            
            & img {
                width: 90%;
                transform: rotate(-42deg) translate(5%, -30%);
            }

            &::after {
                bottom: 15%;
                aspect-ratio: 219/17;
                translate: 85% 0;
                width: 30%;
            }
        }
    
        & .swiper-slide.swiper-slide-active::after {
            bottom: 17%;
            width: 62%;
            translate: 30% 0;
        }
    
        & .yk--new_swiper_buttons {
            bottom: 8%;
            left: auto;
            right: var(--main-pad);
        }
    }
    .yk--new_link {
        margin-top: 20px;
        padding-inline: var(--main-pad);
    }
    .yk--new_line {display: none;}

    /* COLLECTION */
    .yk--collection .yk--h2 {
        & span:first-child {
            rotate: -4deg;
        }
        & span:last-child {
            translate: 11% 0;
        }
    }
    .yk--collection_wrap {
        grid-template-columns: 100%;
    }
    .yk--collection_main {
        aspect-ratio: 345 / 545;
        border-radius: 18px;

        & button {
            left: 15px;
            right: 15px;
            translate: 0;
            width: -webkit-fill-available;
        }
    }
    .yk--collection_nav {
        position: absolute;
        bottom: 88px;
        right: 15px;
        width: 16.8vw;
        gap: 7px;
        padding: 6px;
        border-radius: calc(8px + 6px);
    
        & li {
            border-radius: 8px;
        }
    }

    /* LOOK */
    .yk--look_wrap {
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        overflow-x: scroll;
        padding: 0 var(--main-pad);
        margin: 0 calc(0px - var(--main-pad));
        scroll-padding: 0 var(--main-pad);
        grid-template-columns: repeat(4, 68.5vw);
        scrollbar-width: none;
        gap: 10px;
    }
    .yk--look_link {
        scroll-snap-align: start;
        gap: 10px;
    
        & .yk--look_img {
            border-radius: 18px;
        }
    
        & h4 {
            font-size: 14px;
        }
    }
    .yk--look_buttons {
        margin-top: 28px;
    }

    /* NEWS */
    .yk--news_wrap {
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        overflow-x: scroll;
        padding: 0 var(--main-pad);
        margin: 0 calc(0px - var(--main-pad));
        scroll-padding: 0 var(--main-pad);
        grid-template-columns: repeat(4, 56.8vw);
        scrollbar-width: none;
        gap: 14px;
    }
    .yk--news_link {
        scroll-snap-align: start;
        gap: 12px;

        & img {
            border-radius: 18px;
        }
    
        & h4 {
            font-size: 18px;
            line-height: 26px;
            letter-spacing: 0.8px;

            & br {display: none;}
        }
    }

    /* FINANCE */
    .yk--finance_back {
        top: -15%;
    }
    .yk--finance_wrap {
        & .yk--finance_link {
            width: 82%;
        }
    
        & .yk--finance_text {
            margin-top: -5%;
            max-width: 91%;

            & h3 {
                font-size: clamp(20px, 5.3vw, 34px);
                letter-spacing: 0.8px;
            }
    
            & p {
                font-size: clamp(14px, 3.7vw, 24px);
                margin-top: 6px;
            }
        }
    }
    .yk--finance_front {
        top: 45%;
        left: -25%;
        width: 150%;
    }

    /* VIDEO */
    .yk--video_wrap {
        height: max(477px, 127.2vw);
        border-radius: 18px;
    }
    .yk--video_ligal {
        margin-top: 22px;
    }
}